## Package org.openorb.compiler.parser

Parser support.

See:
Description

Interface Summary
IRImport: This interface must be implemented to get IDL descriptions from IR.

Class Summary
BooleanContainer
CompilationContext: Compilation context, holds current lexical element and file information.
DoubleContainer
IdlGrammar: Cette classe represente la grammaire IDL
IdlParser: The IDL parser
IdlType: This class represents the constants describing the IDL types
StringContainer
Symbole: This class represents the reserved word SymboleDefs of the IDL grammar.
SymboleDef: IDL grammar symbols.
SymboleJava: This class represents the reserved words SymboleDefs of the IDL+Java grammar.
Token: This class represents IDL grammar symbols.

Exception Summary
CompilationException: This exception is raised when a fatal error is detected during the compilation time.

## Package org.openorb.compiler.parser Description

Parser support.